from sqlalchemy import Sequence, ForeignKey
from sqlalchemy import CHAR
from sqlalchemy import DATE
from sqlalchemy import VARCHAR
from sqlalchemy import Column
from sqlalchemy import Boolean
from sqlalchemy import Integer
from sqlalchemy import JSON
from sqlalchemy.sql import func
from sqlalchemy.orm import relationship
from asc.core import env
from asc.core.database.model import Model


class MailerMail(Model):
    __tablename__ = 'mailer_mail'

    id_mailer_mail = Column(Integer, primary_key=True)
    id_marketplace_client = Column(Integer)
    dt_add = Column(DATE, server_default=func.now())
    slug = Column(VARCHAR)
    opened = Column(Boolean, server_default='false')
    cd_reference = Column(Integer)
    html_vars = Column(JSON)