from sqlalchemy import CHAR
from sqlalchemy import DATE
from sqlalchemy import JSON
from sqlalchemy import ARRAY
from sqlalchemy import Column
from sqlalchemy import Boolean
from sqlalchemy import Numeric
from sqlalchemy import Integer
from sqlalchemy import VARCHAR
from sqlalchemy import DateTime
from sqlalchemy import Sequence
from sqlalchemy import ForeignKey
from sqlalchemy.sql import func
from sqlalchemy.orm import relationship

from asc.core.database.model import Model


class StorageFile(Model):
    __tablename__ = 'storage_file'

    id_storage = Column(Integer, primary_key=True)
    dt_add = Column(DATE, server_default=func.now())
    file_fold = Column(VARCHAR, nullable=False)
    file_name = Column(VARCHAR, nullable=False)
    file_path = Column(VARCHAR, nullable=False)
